simplehttpserver vulnerabilities

Simple HTTP Server for static files. Intended as testing and development tool

Latest version: 0.3.0

Licenses detected

  • license: Unknown >=0.0.1 <0.0.2
  • license: MIT >=0.0.2
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the simplehttpserver package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • M
Directory Traversal
* Not available 29 Nov, 2018
  • H
Directory Traversal
<0.2.1 Not available 05 Sep, 2018
  • H
Cross-Site Scripting (XSS)
* Not available 06 Mar, 2018
Versions
Version Published Licenses Direct Vulnerabilities
0.3.0 01 Dec, 2018 MIT
  • 1 H
  • 1 M
  • 0 L
0.2.1 15 Aug, 2018 MIT
  • 1 H
  • 1 M
  • 0 L
0.2.0 15 Aug, 2018 MIT
  • 2 H
  • 1 M
  • 0 L
0.1.1 26 Feb, 2018 MIT
  • 2 H
  • 1 M
  • 0 L
0.1.0 26 Feb, 2018 MIT
  • 2 H
  • 1 M
  • 0 L
0.0.6 10 Apr, 2016 MIT
  • 2 H
  • 1 M
  • 0 L
0.0.5 22 Aug, 2015 MIT
  • 2 H
  • 1 M
  • 0 L
0.0.4 21 Aug, 2015 MIT
  • 2 H
  • 1 M
  • 0 L
0.0.3 28 Oct, 2014 MIT
  • 2 H
  • 1 M
  • 0 L
0.0.2 13 Aug, 2013 MIT
  • 2 H
  • 1 M
  • 0 L
0.0.1 28 Apr, 2013 Unknown
  • 2 H
  • 1 M
  • 0 L